none
SQL Server

Respostas

  • Olá Felipe,

    Na primeira etapa da instalação, o SQL Server 2005 verifica os componentes já instalados e logo em seguida exibe a janela de instalação dos pré-requisitos, onde esses componentes garante o ambiente exigido pelo instalador do SQLServer 2005, os componentes que podem ser instalado são Windows Instaler, .NET Framework 2.0, Microsoft SQL Native Client e o Microsoft SQL Server 2005 Setup Support Files.

    Então, se você cancelar a instalação do SQL Server, os componentes instalados pela ferramenta de atualização não são removidos com a exceção do Setup Files, ou seja, o .NET Framework 2.0 não precisa ser desinstalado para poder instalar o SQL Server novamente.

    Caso tenha lhe ajudado não se esqueça de marca como útil, só assim ajudará a melhorar a qualidade do fórum.

    Heberton Melo
    MCP | MCTS em SQL Server 2008 | Projetista de Dados

    Blog: http://heberton-melo.spaces.live.com

    quarta-feira, 21 de outubro de 2009 02:55
  • Olá Felipe Ferreira,

    Isso mesmo, o .NET Framework 2.0 e Windows Installer 3.1 não são instalados juntos com o SQL Server 2005 Express, então Felipe se desejas instalar o SQL Server 2005 Express você deve se certificar-se de ter instalado .NET Framework 2.0 e Windows Installer 3.1 para prosseguir uma instalação do SQL Server 2005 Express.

    Então como o Felipe Ferreira falou caso você desinstale o .NET Framework 2.0 ou não tenha o mesmo ainda instalado e for iniciar a instalação do SQL Server 2005 Express, não será possível instalar a versão Express.

    Felipe Ferreira, não tinha me atentado na pergunta dele cuidadosamente e acabei generalizando com as outras edições do SQL Server 2005, mas obrigado pela colocação.

    Caso tenha lhe ajudado não se esqueça de marca como útil, só assim ajudará a melhorar a qualidade do fórum.

    Heberton Melo
    MCP | MCTS em SQL Server 2008 | Projetista de Dados

    Blog: http://heberton-melo.spaces.live.com

    quarta-feira, 21 de outubro de 2009 12:29

Todas as Respostas

  • Olá Felipe,

    Na primeira etapa da instalação, o SQL Server 2005 verifica os componentes já instalados e logo em seguida exibe a janela de instalação dos pré-requisitos, onde esses componentes garante o ambiente exigido pelo instalador do SQLServer 2005, os componentes que podem ser instalado são Windows Instaler, .NET Framework 2.0, Microsoft SQL Native Client e o Microsoft SQL Server 2005 Setup Support Files.

    Então, se você cancelar a instalação do SQL Server, os componentes instalados pela ferramenta de atualização não são removidos com a exceção do Setup Files, ou seja, o .NET Framework 2.0 não precisa ser desinstalado para poder instalar o SQL Server novamente.

    Caso tenha lhe ajudado não se esqueça de marca como útil, só assim ajudará a melhorar a qualidade do fórum.

    Heberton Melo
    MCP | MCTS em SQL Server 2008 | Projetista de Dados

    Blog: http://heberton-melo.spaces.live.com

    quarta-feira, 21 de outubro de 2009 02:55
  • Oi Heberton,

    só te corrigindo, no caso da versão express do sql server 2005 o .net framework 2.0 não é instalado como parte do instalador, é obrigatório que o usuário instale antes caso não tenha o mesmo instalado na máquina.. 
    se o meu chará desinstalar o .net 2.0 da máquina, ele não vai conseguir instalar a versão express...

    nas demais versões, aí sim o instalador verifica e instala o .net 2.0 tbm..

    abs



    Felipe Ferreira
    http://weblogs.asp.net/felipeferreira
    MCT, MCITP, MCPD, 5X MCTS
    quarta-feira, 21 de outubro de 2009 10:29
  • Olá Felipe Ferreira,

    Isso mesmo, o .NET Framework 2.0 e Windows Installer 3.1 não são instalados juntos com o SQL Server 2005 Express, então Felipe se desejas instalar o SQL Server 2005 Express você deve se certificar-se de ter instalado .NET Framework 2.0 e Windows Installer 3.1 para prosseguir uma instalação do SQL Server 2005 Express.

    Então como o Felipe Ferreira falou caso você desinstale o .NET Framework 2.0 ou não tenha o mesmo ainda instalado e for iniciar a instalação do SQL Server 2005 Express, não será possível instalar a versão Express.

    Felipe Ferreira, não tinha me atentado na pergunta dele cuidadosamente e acabei generalizando com as outras edições do SQL Server 2005, mas obrigado pela colocação.

    Caso tenha lhe ajudado não se esqueça de marca como útil, só assim ajudará a melhorar a qualidade do fórum.

    Heberton Melo
    MCP | MCTS em SQL Server 2008 | Projetista de Dados

    Blog: http://heberton-melo.spaces.live.com

    quarta-feira, 21 de outubro de 2009 12:29